Subject: Re: Does GPL apply without Cygwin stub?
From: Fergus Henderson <[email-masked]>
To: [email-masked]
Cc: cygwin users <[email-masked]>
Date: Tue, 9 Mar 1999 06:19:30 +1100

On 08-Mar-1999, Earnie Boyd <[email-masked]> wrote:
> ---Chris Faylor <[email-masked]> wrote:
> 8<
> > If they are just distributing the crt0.o module and cygwin1.dll then
> they
> > must make source code available for both.
> 8<
> 
> So does this mean that if I supply my own crt0.o module that my source
> code doesn't have to be made available?

You'd also have to supply your own libcygwin.a.

I believe that at least one release of the GNU Ada compiler gnat
for Windows did exactly that.  This was back around version b17,
when Cygnus had just changed the license.  ACT took the sources
for libcygwin.a from b16, which I think were public domain, and
modified them a bit to make them work with the DLL from b17.

If you do something like that, then it's probably legal.
However, this is a rather gray area; it is not _entirely_ clear
that this would be legal.

P.S.
I am not a lawyer; this is discussion, not legal advice;
if you need legal advice, you should consult an attourney;
#include <std.legal.disclaimer>
yadda yadda yadda...

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.

--
Want to unsubscribe from this list?
Send a message to [email-masked]